"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMessagingInstance = exports.initializeFirebase = void 0;
// Import the required functions and types from Firebase
var app_1 = require("firebase/app");
var messaging_1 = require("firebase/messaging");
// Initialize Firebase and return the messaging instance
var initializeFirebase = function (config) {
    var app = (0, app_1.initializeApp)(config);
    return (0, messaging_1.getMessaging)(app);
};
exports.initializeFirebase = initializeFirebase;
var getMessagingInstance = function (config) {
    var app = (0, app_1.initializeApp)(config);
    return (0, messaging_1.getMessaging)(app);
};
exports.getMessagingInstance = getMessagingInstance;
