"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNotification = void 0;
const react_1 = require("react");
const NotificationProvider_1 = require("./NotificationProvider");
const useNotification = () => {
    const context = (0, react_1.useContext)(NotificationProvider_1.NotificationContext);
    if (!context) {
        throw new Error('useNotification must be used within a NotificationProvider');
    }
    return context;
};
exports.useNotification = useNotification;
